/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that flushes the buffer
after write operation. */ 
#include <stdio.h>
#include <stdlib.h>

int main(int argc , char *argv[]) {
    char choice;
    
    do {
      printf("1: Check spelling\n");
      printf("2: Correct spelling\n");
      printf("3: Lookup a word in the directory\n");
      printf("4: Quit\n");
      
      printf("\nEnter your selection: ");
      choice = getc(stdin);
    } while (!strchr("1234",choice));
    printf("You entered: %c\n", choice);
    return (0);
}
